Post by daniel1 » Thu Jun 02, 2011 7:19 am

I changed the following from /var/lib/php/session in php.ini to session.save_path = "/tmp" this did fix it for a short while until the same issue started to occur again. I have other carts running ie cubecart which are fine.

Just thought I;d update you guys.
Daniel

New member

Posts

Joined
Tue May 31, 2011 12:59 am

Post by Daniel » Thu Jun 02, 2011 9:56 am

DannyMacD wrote:Hello

just installed a fresh install of 1.5.0 and new DB
when i click on a product or banner i get this error:

Code: Select all

Error: Invalid use of group function
Error No: 1111
SELECT op.product_id FROM store_order_product op LEFT JOIN `store_order` o ON (op.order_id = o.order_id) LEFT JOIN `store_product` p ON (op.product_id = p.product_id) LEFT JOIN store_product_to_store p2s ON (p.product_id = p2s.product_id) WHERE o.order_status_id > '0' AND p.status = '1' AND p.date_available <= NOW() AND p2s.store_id = '0' GROUP BY op.product_id ORDER BY COUNT(op.product_id) DESC LIMIT 4
is there a reason for this? sorry if already posted but i have tried looking for answer.

many thanks

re download the latest code.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Daniel » Thu Jun 02, 2011 10:42 am

daniel1 wrote:I changed the following from /var/lib/php/session in php.ini to session.save_path = "/tmp" this did fix it for a short while until the same issue started to occur again. I have other carts running ie cubecart which are fine.

Just thought I;d update you guys.
Daniel
I can not install the php version you are using.

have you tired installing opencart 1.4.x and see if that has the same issue.

I did alter the session class and wonder if that's causing the problem.

also are you SESSID's showing on in the address bar? if so you might have automaticly start session on which needs to be off.


try to pm me a link to your server.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by opencartisalright » Thu Jun 02, 2011 12:00 pm

Hey Daniel,

I see you replaced Thickbox with Fancybox. That's really great, thanks mate!

For some reason it's not working when clicking the terms and conditions though. For example, when I click on the Create a New Account link, and then I click on the Terms and Conditions link in the bottom, instead of opening in a fancybox it just opens in a new window altogether.

Any idea how to make the terms and conditions link open in the FancyBox too?
FancyBox Error.png

FancyBox Error.png (13.81 KiB) Viewed 3006 times

Last edited by opencartisalright on Thu Jun 02, 2011 12:16 pm, edited 3 times in total.

Active Member

Posts

Joined
Mon Feb 21, 2011 4:09 am

Post by opencartisalright » Thu Jun 02, 2011 12:05 pm

I have enabled weight based shipping. I have added two Geo Zones, USA Airmail and USA Express Mail. I have set the appropriate cost for each shipping method in the weight based module.

When trying to checkout, it won't let me go past step 4 (delivery method). I keep clicking on continue, but it doesn't continue, it's just stuck at step 4.
Shipping Error.png

Shipping Error.png (33.89 KiB) Viewed 3006 times


Active Member

Posts

Joined
Mon Feb 21, 2011 4:09 am

Post by rupaknepali » Thu Jun 02, 2011 2:52 pm

I am not seeing this

in opencart V1.5.0, in the admin i am unable to see the select All/ UnSelect All for all while adding

Attachments

error-in-version-5.jpg

error-in-version-5.jpg (22.43 KiB) Viewed 2992 times


Rupak Nepali
webocreation.com@gmail.com
http://webocreation.com
Enjoy! Tips and tricks as well as free module.


Active Member

Posts

Joined
Mon Apr 25, 2011 7:04 pm

Post by Daniel » Thu Jun 02, 2011 4:49 pm

ultraspoon wrote:Im getting a blank page on install on step 3

install/index.php?route=step_3

Any suggestions?

Thanks

PS Great work on latest release Danial, looks awesome. Cant wait to give it a good try.

I have just found the reason why this is happening. its because you need the filter extension installed. I will fix it and release another version tonight.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by daniel1 » Thu Jun 02, 2011 5:08 pm

Daniel wrote:
daniel1 wrote:I changed the following from /var/lib/php/session in php.ini to session.save_path = "/tmp" this did fix it for a short while until the same issue started to occur again. I have other carts running ie cubecart which are fine.

Just thought I;d update you guys.
Daniel
I can not install the php version you are using.

have you tired installing opencart 1.4.x and see if that has the same issue.

I did alter the session class and wonder if that's causing the problem.

also are you SESSID's showing on in the address bar? if so you might have automaticly start session on which needs to be off.


try to pm me a link to your server.
Hi Daniel,

Thanks for your reply. I have opencart 1.4.95 running on the same site/server no issues. I don't get any SESSID'S showing in the address bar either. I will pm you the address.

Daniel

New member

Posts

Joined
Tue May 31, 2011 12:59 am

Post by a_sun » Thu Jun 02, 2011 5:18 pm

When I try to do the backup.
admin>system>backup/restore

I have this error message:

Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php on line 21Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php on line 21Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php

I have reinstall the store with the SVN 352.

Thanks,
a_sun

New member

Posts

Joined
Tue Dec 29, 2009 5:22 pm

Post by Vinny » Thu Jun 02, 2011 5:36 pm

***Error: Could not load language extension/module!***

I am using FF4.01, new installed OC 1.5.0 (29/May)

when Click Extension | Modules an error display

Error: Could not load language extension/module!

Reinstall from fresh again same error.

anyone getting this error?

Many thanks
Vinny

Newbie

Posts

Joined
Sat May 28, 2011 1:35 am

Post by Daniel » Thu Jun 02, 2011 5:53 pm

opencartisalright wrote:I have enabled weight based shipping. I have added two Geo Zones, USA Airmail and USA Express Mail. I have set the appropriate cost for each shipping method in the weight based module.

When trying to checkout, it won't let me go past step 4 (delivery method). I keep clicking on continue, but it doesn't continue, it's just stuck at step 4.
Shipping Error.png

anything in your error logs?

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Daniel » Thu Jun 02, 2011 5:55 pm

Vinny wrote:***Error: Could not load language extension/module!***

I am using FF4.01, new installed OC 1.5.0 (29/May)

when Click Extension | Modules an error display

Error: Could not load language extension/module!

Reinstall from fresh again same error.

anyone getting this error?

Many thanks
Vinny

can u download again? It works fine for me and the files are there.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Daniel » Thu Jun 02, 2011 5:57 pm

a_sun wrote:When I try to do the backup.
admin>system>backup/restore

I have this error message:

Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php on line 21Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php on line 21Notice: Undefined index: Tables_in_EPdb in E:\wwwusr\vhosts\easternprinters.com\httpdocs\store\admin\model\tool\backup.php

I have reinstall the store with the SVN 352.

Thanks,
a_sun

which version of mysql are you using?

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Daniel » Thu Jun 02, 2011 6:55 pm

Ok I have just done another release with more fixes in.


I'm just fixing the 1.5.0 version and not add numbers like 1.5.0.1 because people would start asking for upgrade instructions.

if you want to apply the fixes manually just look through the svn here:

http://code.google.com/p/opencart/source/list

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Vinny » Thu Jun 02, 2011 7:08 pm

Daniel wrote:
Vinny wrote:***Error: Could not load language extension/module!***

I am using FF4.01, new installed OC 1.5.0 (29/May)

when Click Extension | Modules an error display

Error: Could not load language extension/module!

Reinstall from fresh again same error.

anyone getting this error?

Many thanks
Vinny

can u download again? It works fine for me and the files are there.

re-downloaded all work fine. strange. is this version (1.5.0. 29/May) ok to build a new store?

Newbie

Posts

Joined
Sat May 28, 2011 1:35 am

Post by Daniel » Thu Jun 02, 2011 7:24 pm

i'm not sure what happened.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by amdev » Thu Jun 02, 2011 7:36 pm

When i set lastest products more than 7 .
It error.

this is my test site
http://www.luxurywatchesbrands.co.cc/in ... ommon/home

Attachments

150error.png

150error.png (254.51 KiB) Viewed 2921 times


ร้านค้าออนไลน์
OpenCart Thailand Support Forum
How to Upgrade oc1.5 to 2.0.1.1
Upgrading OpenCart From v.1.4 or v.1.5 to V.2.2 Step by step


User avatar
Active Member

Posts

Joined
Fri Nov 27, 2009 3:40 pm
Location - Bangkok - Thailand

Post by Daniel » Thu Jun 02, 2011 7:38 pm

amdev wrote:When i set lastest products more than 7 .
It error.

this is my test site
http://www.luxurywatchesbrands.co.cc/in ... ommon/home
the problem is not because you have added more than 7 its because your product names are so long.

alter the css to to make the box-product height larger.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by snigra » Thu Jun 02, 2011 8:06 pm

It's not a work breaking bug but :

on "Purchase a Gift Certificate" page (/index.php?route=checkout/voucher) the hint for the amount input : (Value must be between $1.00 and $1,000.00) shouldn't be with currency sign ('$') fixed in translation . As i see the error of the value of the same input is done according to the selected currency.

\catalog\language\checkout\voucher.php
line:18 and 25

Code: Select all

$_['entry_amount']     = 'Amount:<br /><span class="help">(Value must be between $1.00 and $1,000.00)</span>';
...
$_['error_amount']     = 'Amount must be between %s and %s!';
\catalog\controller\checkout\voucher.php
line 55:

Code: Select all

$this->data['entry_amount'] = $this->language->get('entry_amount');

Newbie

Posts

Joined
Thu Jun 02, 2011 7:38 pm

Post by Johnathan » Thu Jun 02, 2011 8:26 pm

Daniel wrote:Ok I have just done another release with more fixes in.


I'm just fixing the 1.5.0 version and not add numbers like 1.5.0.1 because people would start asking for upgrade instructions.

if you want to apply the fixes manually just look through the svn here:

http://code.google.com/p/opencart/source/list
Can I ask why you moved from doing Release Candidates to just fixing as you go? It seems like a much less efficient way of doing it (since you're going to have to keep telling people to download the "latest version" of 1.5.0).

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am

Who is online

Users browsing this forum: No registered users and 7 guests